Cisco NX-OSソフトウェアのIPv6 Netstack DoS(cisco-sa-nxos-ipv6-netstack-edXPGV7K)

high Nessus プラグイン ID 149310
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートデバイスに、ベンダーが提供したセキュリティパッチがありません

説明

自己報告されたバージョンによると、Cisco NX-OSソフトウェアのネットワークスタックは、netstackと呼ばれるCisco NX-OSソフトウェアのネットワークスタックでバッファが適切に解放されないため、サービス拒否の脆弱性の影響を受けます。認証されていないリモート攻撃者がこれを悪用し、複数の細工されたIPv6パケットを影響を受けるデバイスに送信する可能性があります。悪用が成功すると、ネットワークスタックで使用可能なバッファが不足し、コントロールプレーンと管理プレーンのプロトコルの動作を損ない、DoS状態を引き起こす可能性があります。影響を受けるデバイスで通常の動作に戻すには、手動の介入が必要です。

詳細については、付属のCisco BIDおよびCisco Security Advisoryを参照してください。

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

CiscoバグID CSCvu11961、CSCvu77380に記載されている該当の修正済みバージョンにアップグレードしてください

関連情報

http://www.nessus.org/u?12891ad0

http://tools.cisco.com/security/center/viewErp.x?alertId=ERP-74414

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvu11961

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvu77380

プラグインの詳細

深刻度: High

ID: 149310

ファイル名: cisco-sa-nxos-ipv6-netstack-edXPGV7K.nasl

バージョン: 1.6

タイプ: combined

ファミリー: CISCO

公開日: 2021/5/6

更新日: 2021/6/3

依存関係: cisco_nxos_version.nasl

リスク情報

CVSS スコアのソース: CVE-2021-1387

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: AV:N/AC:M/Au:N/C:N/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.6

Temporal Score: 7.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:cisco:nx-os

必要な KB アイテム: Host/Cisco/NX-OS/Version, Host/Cisco/NX-OS/Model, Host/Cisco/NX-OS/Device

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/2/24

脆弱性公開日: 2021/2/24

参照情報

CVE: CVE-2021-1387

IAVA: 2021-A-0110-S

CISCO-BUG-ID: CSCvu11961, CSCvu77380

CISCO-SA: cisco-sa-nxos-ipv6-netstack-edXPGV7K

CWE: 401